Functor(3)

Name
Functor

Synopsis

Module Functor

Documentation

module type S = sig
type t
end

module type S1 = sig

1.1 Parameters

module _ : sig
type t
end

1.2 Signature

type t
end

module F1 (Arg : S) : S

module F2 (Arg : S) : S with type t = Arg.t

module F3 (Arg : S) : sig ... end

module F4 (Arg : S) : S

module F5 () : S